cmap_map Struct Reference

## Data Fields

cs_error_t(* | map_get )(const char *key_name, void *value, size_t *value_len, icmap_value_types_t *type)
cs_error_t(* | map_set )(const char *key_name, const void *value, size_t value_len, icmap_value_types_t type)
cs_error_t(* | map_adjust_int )(const char *key_name, int32_t step)
cs_error_t(* | map_delete )(const char *key_name)
int(* | map_is_key_ro )(const char *key_name)
icmap_iter_t(* | map_iter_init )(const char *prefix)
const char *(* | map_iter_next )(icmap_iter_t iter, size_t *value_len, icmap_value_types_t *type)
void(* | map_iter_finalize )(icmap_iter_t iter)
cs_error_t(* | map_track_add )(const char *key_name, int32_t track_type, icmap_notify_fn_t notify_fn, void *user_data, icmap_track_t *icmap_track)
cs_error_t(* | map_track_delete )(icmap_track_t icmap_track)
void *(* | map_track_get_user_data )(icmap_track_t icmap_track)

## Detailed Description

Definition at line 67 of file exec/cmap.c.

## Field Documentation

## map_adjust_int

cs_error_t(* cmap_map::map_adjust_int) (const char *key_name, int32_t step)

Definition at line 78 of file exec/cmap.c.

## map_delete

cs_error_t(* cmap_map::map_delete) (const char *key_name)

Definition at line 80 of file exec/cmap.c.

## map_get

cs_error_t(* cmap_map::map_get) (const char *key_name, void *value, size_t *value_len, icmap_value_types_t *type)

Definition at line 68 of file exec/cmap.c.

## map_is_key_ro

int(* cmap_map::map_is_key_ro) (const char *key_name)

Definition at line 82 of file exec/cmap.c.

## map_iter_finalize

void(* cmap_map::map_iter_finalize) (icmap_iter_t iter)

Definition at line 86 of file exec/cmap.c.

## map_iter_init

icmap_iter_t(* cmap_map::map_iter_init) (const char *prefix)

Definition at line 84 of file exec/cmap.c.

## map_iter_next

const char*(* cmap_map::map_iter_next) (icmap_iter_t iter, size_t *value_len, icmap_value_types_t *type)

Definition at line 85 of file exec/cmap.c.

## map_set

cs_error_t(* cmap_map::map_set) (const char *key_name, const void *value, size_t value_len, icmap_value_types_t type)

Definition at line 73 of file exec/cmap.c.

## map_track_add

cs_error_t(* cmap_map::map_track_add) (const char *key_name, int32_t track_type, icmap_notify_fn_t notify_fn, void *user_data, icmap_track_t *icmap_track)

Definition at line 88 of file exec/cmap.c.

## map_track_delete

cs_error_t(* cmap_map::map_track_delete) (icmap_track_t icmap_track)

Definition at line 94 of file exec/cmap.c.

## map_track_get_user_data

void*(* cmap_map::map_track_get_user_data) (icmap_track_t icmap_track)

Definition at line 95 of file exec/cmap.c.

The documentation for this struct was generated from the following file:

- exec/cmap.c